# HG changeset patch
# User Rafael Laboissiere <rafael@laboissiere.net>
# Date 1451400284 7200
#      Tue Dec 29 12:44:44 2015 -0200
# Node ID 186d6cb7d0d375187642cd884ba0440925eb7d3f
# Parent  ee420b73efa9159f176fc307aad8a0235a591621
Fix spelling of "occurred"

diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/ode23d.m
--- a/inst/ode23d.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/ode23d.m	Tue Dec 29 12:44:44 2015 -0200
@@ -569,9 +569,9 @@
     varargout{1}.y = vretvalresult; %# Results are saved in field y
     varargout{1}.solver = 'ode23d'; %# Solver name is saved in field solver
     if (vhaveeventfunction) 
-      varargout{1}.ie = vevent{2};  %# Index info which event occured
-      varargout{1}.xe = vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = vevent{4};  %# Results when an event occured
+      varargout{1}.ie = vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -592,9 +592,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vhaveeventfunction) 
-      varargout{3} = vevent{3};     %# Time info when an event occured
-      varargout{4} = vevent{4};     %# Results when an event occured
-      varargout{5} = vevent{2};     %# Index info which event occured
+      varargout{3} = vevent{3};     %# Time info when an event occurred
+      varargout{4} = vevent{4};     %# Results when an event occurred
+      varargout{5} = vevent{2};     %# Index info which event occurred
     end
   %# else nothing will be returned, varargout{1} undefined
   end
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/ode45d.m
--- a/inst/ode45d.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/ode45d.m	Tue Dec 29 12:44:44 2015 -0200
@@ -580,9 +580,9 @@
     varargout{1}.y = vretvalresult; %# Results are saved in field y
     varargout{1}.solver = 'ode45d'; %# Solver name is saved in field solver
     if (vhaveeventfunction) 
-      varargout{1}.ie = vevent{2};  %# Index info which event occured
-      varargout{1}.xe = vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = vevent{4};  %# Results when an event occured
+      varargout{1}.ie = vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -603,9 +603,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vhaveeventfunction) 
-      varargout{3} = vevent{3};     %# Time info when an event occured
-      varargout{4} = vevent{4};     %# Results when an event occured
-      varargout{5} = vevent{2};     %# Index info which event occured
+      varargout{3} = vevent{3};     %# Time info when an event occurred
+      varargout{4} = vevent{4};     %# Results when an event occurred
+      varargout{5} = vevent{2};     %# Index info which event occurred
     end
   %# else nothing will be returned, varargout{1} undefined
   end
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/ode54.m
--- a/inst/ode54.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/ode54.m	Tue Dec 29 12:44:44 2015 -0200
@@ -383,9 +383,9 @@
     varargout{1}.y = solution.x; %# Results are saved in field y
     varargout{1}.solver = vsolver;  %# Solver name is saved in field solver
     if (vodeoptions.vhaveeventfunction)
-      varargout{1}.ie = solution.vevent{2};  %# Index info which event occured
-      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = solution.vevent{4};  %# Results when an event occured
+      varargout{1}.ie = solution.vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = solution.vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -406,9 +406,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vodeoptions.vhaveeventfunction)
-      varargout{3} = solution.vevent{3};     %# Time info when an event occured
-      varargout{4} = solution.vevent{4};     %# Results when an event occured
-      varargout{5} = solution.vevent{2};     %# Index info which event occured
+      varargout{3} = solution.vevent{3};     %# Time info when an event occurred
+      varargout{4} = solution.vevent{4};     %# Results when an event occurred
+      varargout{5} = solution.vevent{2};     %# Index info which event occurred
     end
   end
 
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/ode54d.m
--- a/inst/ode54d.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/ode54d.m	Tue Dec 29 12:44:44 2015 -0200
@@ -574,9 +574,9 @@
     varargout{1}.y = vretvalresult; %# Results are saved in field y
     varargout{1}.solver = 'ode54d'; %# Solver name is saved in field solver
     if (vhaveeventfunction) 
-      varargout{1}.ie = vevent{2};  %# Index info which event occured
-      varargout{1}.xe = vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = vevent{4};  %# Results when an event occured
+      varargout{1}.ie = vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -597,9 +597,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vhaveeventfunction) 
-      varargout{3} = vevent{3};     %# Time info when an event occured
-      varargout{4} = vevent{4};     %# Results when an event occured
-      varargout{5} = vevent{2};     %# Index info which event occured
+      varargout{3} = vevent{3};     %# Time info when an event occurred
+      varargout{4} = vevent{4};     %# Results when an event occurred
+      varargout{5} = vevent{2};     %# Index info which event occurred
     end
   %# else nothing will be returned, varargout{1} undefined
   end
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/ode78.m
--- a/inst/ode78.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/ode78.m	Tue Dec 29 12:44:44 2015 -0200
@@ -381,9 +381,9 @@
     varargout{1}.y = solution.x; %# Results are saved in field y
     varargout{1}.solver = vsolver;  %# Solver name is saved in field solver
     if (vodeoptions.vhaveeventfunction)
-      varargout{1}.ie = solution.vevent{2};  %# Index info which event occured
-      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = solution.vevent{4};  %# Results when an event occured
+      varargout{1}.ie = solution.vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = solution.vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -404,9 +404,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vodeoptions.vhaveeventfunction)
-      varargout{3} = solution.vevent{3};     %# Time info when an event occured
-      varargout{4} = solution.vevent{4};     %# Results when an event occured
-      varargout{5} = solution.vevent{2};     %# Index info which event occured
+      varargout{3} = solution.vevent{3};     %# Time info when an event occurred
+      varargout{4} = solution.vevent{4};     %# Results when an event occurred
+      varargout{5} = solution.vevent{2};     %# Index info which event occurred
     end
   end
 
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/ode78d.m
--- a/inst/ode78d.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/ode78d.m	Tue Dec 29 12:44:44 2015 -0200
@@ -594,9 +594,9 @@
     varargout{1}.y = vretvalresult; %# Results are saved in field y
     varargout{1}.solver = 'ode78d';  %# Solver name is saved in field solver
     if (vhaveeventfunction) 
-      varargout{1}.ie = vevent{2};  %# Index info which event occured
-      varargout{1}.xe = vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = vevent{4};  %# Results when an event occured
+      varargout{1}.ie = vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -617,9 +617,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vhaveeventfunction) 
-      varargout{3} = vevent{3};     %# Time info when an event occured
-      varargout{4} = vevent{4};     %# Results when an event occured
-      varargout{5} = vevent{2};     %# Index info which event occured
+      varargout{3} = vevent{3};     %# Time info when an event occurred
+      varargout{4} = vevent{4};     %# Results when an event occurred
+      varargout{5} = vevent{2};     %# Index info which event occurred
     end
   %# else nothing will be returned, varargout{1} undefined
   end
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/odeSPVI.m
--- a/inst/odeSPVI.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/odeSPVI.m	Tue Dec 29 12:44:44 2015 -0200
@@ -462,9 +462,9 @@
     varargout{1}.y = solution.x; %# Results are saved in field y
     varargout{1}.solver = vsolver;  %# Solver name is saved in field solver
     if (vodeoptions.vhaveeventfunction) 
-      varargout{1}.ie = solution.vevent{2};  %# Index info which event occured
-      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = solution.vevent{4};  %# Results when an event occured
+      varargout{1}.ie = solution.vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = solution.vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -484,9 +484,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vodeoptions.vhaveeventfunction) 
-      varargout{3} = solution.vevent{3};     %# Time info when an event occured
-      varargout{4} = solution.vevent{4};     %# Results when an event occured
-      varargout{5} = solution.vevent{2};     %# Index info which event occured
+      varargout{3} = solution.vevent{3};     %# Time info when an event occurred
+      varargout{4} = solution.vevent{4};     %# Results when an event occurred
+      varargout{5} = solution.vevent{2};     %# Index info which event occurred
     end
   end
 
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/odeSV.m
--- a/inst/odeSV.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/odeSV.m	Tue Dec 29 12:44:44 2015 -0200
@@ -423,9 +423,9 @@
     varargout{1}.y = solution.x; %# Results are saved in field y
     varargout{1}.solver = vsolver;  %# Solver name is saved in field solver
     if (vodeoptions.vhaveeventfunction) 
-      varargout{1}.ie = solution.vevent{2};  %# Index info which event occured
-      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = solution.vevent{4};  %# Results when an event occured
+      varargout{1}.ie = solution.vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = solution.vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -445,9 +445,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vodeoptions.vhaveeventfunction) 
-      varargout{3} = solution.vevent{3};     %# Time info when an event occured
-      varargout{4} = solution.vevent{4};     %# Results when an event occured
-      varargout{5} = solution.vevent{2};     %# Index info which event occured
+      varargout{3} = solution.vevent{3};     %# Time info when an event occurred
+      varargout{4} = solution.vevent{4};     %# Results when an event occurred
+      varargout{5} = solution.vevent{2};     %# Index info which event occurred
     end
   end
 
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/odeVV.m
--- a/inst/odeVV.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/odeVV.m	Tue Dec 29 12:44:44 2015 -0200
@@ -378,9 +378,9 @@
     varargout{1}.y = solution.x; %# Results are saved in field y
     varargout{1}.solver = vsolver;  %# Solver name is saved in field solver
     if (vodeoptions.vhaveeventfunction) 
-      varargout{1}.ie = solution.vevent{2};  %# Index info which event occured
-      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = solution.vevent{4};  %# Results when an event occured
+      varargout{1}.ie = solution.vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = solution.vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -400,9 +400,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vodeoptions.vhaveeventfunction) 
-      varargout{3} = solution.vevent{3};     %# Time info when an event occured
-      varargout{4} = solution.vevent{4};     %# Results when an event occured
-      varargout{5} = solution.vevent{2};     %# Index info which event occured
+      varargout{3} = solution.vevent{3};     %# Time info when an event occurred
+      varargout{4} = solution.vevent{4};     %# Results when an event occurred
+      varargout{5} = solution.vevent{2};     %# Index info which event occurred
     end
   end
 
diff -r ee420b73efa9 -r 186d6cb7d0d3 inst/odebwe.m
--- a/inst/odebwe.m	Tue Dec 15 17:41:51 2015 +0100
+++ b/inst/odebwe.m	Tue Dec 29 12:44:44 2015 -0200
@@ -421,9 +421,9 @@
     varargout{1}.y = solution.x; %# Results are saved in field y
     varargout{1}.solver = vsolver;  %# Solver name is saved in field solver
     if (vodeoptions.vhaveeventfunction) 
-      varargout{1}.ie = solution.vevent{2};  %# Index info which event occured
-      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occured
-      varargout{1}.ye = solution.vevent{4};  %# Results when an event occured
+      varargout{1}.ie = solution.vevent{2};  %# Index info which event occurred
+      varargout{1}.xe = solution.vevent{3};  %# Time info when an event occurred
+      varargout{1}.ye = solution.vevent{4};  %# Results when an event occurred
     end
     if (vhavestats)
       varargout{1}.stats = struct;
@@ -443,9 +443,9 @@
     varargout{4} = [];              %# varargout{3} = varargout{4} = [];
     varargout{5} = [];
     if (vodeoptions.vhaveeventfunction) 
-      varargout{3} = solution.vevent{3};     %# Time info when an event occured
-      varargout{4} = solution.vevent{4};     %# Results when an event occured
-      varargout{5} = solution.vevent{2};     %# Index info which event occured
+      varargout{3} = solution.vevent{3};     %# Time info when an event occurred
+      varargout{4} = solution.vevent{4};     %# Results when an event occurred
+      varargout{5} = solution.vevent{2};     %# Index info which event occurred
     end
   end
 
diff -r ee420b73efa9 -r 186d6cb7d0d3 src/odepkg_octsolver_mebdfdae.cc
--- a/src/odepkg_octsolver_mebdfdae.cc	Tue Dec 15 17:41:51 2015 +0100
+++ b/src/odepkg_octsolver_mebdfdae.cc	Tue Dec 29 12:44:44 2015 -0200
@@ -175,14 +175,14 @@
     case -1:
       error_with_id ("OdePkg:InternalError",
         "Integration was halted after failing to pass one error test (error \
-occured in \"mebdfi\" core solver function with error number \"%d\")", verr);
+occurred in \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     case -2:
       error_with_id ("OdePkg:InternalError",
         "Integration was halted after failing to pass a repeated error test \
 after a successful initialisation step or because of an invalid option \
-in RelTol or AbsTol (error occured in \"mebdfi\" core solver function with \
+in RelTol or AbsTol (error occurred in \"mebdfi\" core solver function with \
 error number \"%d\")", verr);
       break;
 
@@ -190,50 +190,50 @@
       error_with_id ("OdePkg:InternalError",
         "Integration was halted after failing to achieve a corrector \
 convergence  even after reducing the step size h by a factor of 1e-10 \
-(error occured in \"mebdfi\" core solver function with error number \
+(error occurred in \"mebdfi\" core solver function with error number \
 \"%d\")", verr);
       break;
 
     case -4:
       error_with_id ("OdePkg:InternalError",
         "Immediate halt because of illegal number or illegal values of input \
-arguments (error occured in the \"mebdfi\" core solver function with \
+arguments (error occurred in the \"mebdfi\" core solver function with \
 error number \"%d\")", verr);
       break;
 
     case -5:
       error_with_id ("OdePkg:InternalError",
-        "Idid was -1 on input (error occured in \"mebdfi\" core solver function \
+        "Idid was -1 on input (error occurred in \"mebdfi\" core solver function \
 with error number \"%d\")", verr);
       break;
 
     case -6:
       error_with_id ("OdePkg:InternalError",
-        "Maximum number of allowed integration steps exceeded (error occured in \
+        "Maximum number of allowed integration steps exceeded (error occurred in \
 \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     case -7:
       error_with_id ("OdePkg:InternalError",
-        "Stepsize grew too small (error occured in \"mebdfi\" core solver \
+        "Stepsize grew too small (error occurred in \"mebdfi\" core solver \
 function with error number \"%d\")", verr);
       break;
 
     case -11:
       error_with_id ("OdePkg:InternalError",
-        "Insufficient real workspace for the integration (error occured in \
+        "Insufficient real workspace for the integration (error occurred in \
 \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     case -12:
       error_with_id ("OdePkg:InternalError",
-        "Insufficient integer workspace for the integration (error occured in \
+        "Insufficient integer workspace for the integration (error occurred in \
 \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     default:
       error_with_id ("OdePkg:InternalError",
-        "Unknown error (error occured in \"mebdfi\" core solver function with \
+        "Unknown error (error occurred in \"mebdfi\" core solver function with \
 error number \"%d\")", verr);
       break;
     }
diff -r ee420b73efa9 -r 186d6cb7d0d3 src/odepkg_octsolver_mebdfi.cc
--- a/src/odepkg_octsolver_mebdfi.cc	Tue Dec 15 17:41:51 2015 +0100
+++ b/src/odepkg_octsolver_mebdfi.cc	Tue Dec 29 12:44:44 2015 -0200
@@ -238,14 +238,14 @@
     case -1:
       error_with_id ("OdePkg:InternalError",
         "Integration was halted after failing to pass one error test (error \
-occured in \"mebdfi\" core solver function with error number \"%d\")", verr);
+occurred in \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     case -2:
       error_with_id ("OdePkg:InternalError",
         "Integration was halted after failing to pass a repeated error test \
 after a successful initialisation step or because of an invalid option \
-in RelTol or AbsTol (error occured in \"mebdfi\" core solver function with \
+in RelTol or AbsTol (error occurred in \"mebdfi\" core solver function with \
 error number \"%d\")", verr);
       break;
 
@@ -253,50 +253,50 @@
       error_with_id ("OdePkg:InternalError",
         "Integration was halted after failing to achieve a corrector \
 convergence  even after reducing the step size h by a factor of 1e-10 \
-(error occured in \"mebdfi\" core solver function with error number \
+(error occurred in \"mebdfi\" core solver function with error number \
 \"%d\")", verr);
       break;
 
     case -4:
       error_with_id ("OdePkg:InternalError",
         "Immediate halt because of illegal number or illegal values of input \
-arguments (error occured in the \"mebdfi\" core solver function with \
+arguments (error occurred in the \"mebdfi\" core solver function with \
 error number \"%d\")", verr);
       break;
 
     case -5:
       error_with_id ("OdePkg:InternalError",
-        "Idid was -1 on input (error occured in \"mebdfi\" core solver function \
+        "Idid was -1 on input (error occurred in \"mebdfi\" core solver function \
 with error number \"%d\")", verr);
       break;
 
     case -6:
       error_with_id ("OdePkg:InternalError",
-        "Maximum number of allowed integration steps exceeded (error occured in \
+        "Maximum number of allowed integration steps exceeded (error occurred in \
 \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     case -7:
       error_with_id ("OdePkg:InternalError",
-        "Stepsize grew too small (error occured in \"mebdfi\" core solver \
+        "Stepsize grew too small (error occurred in \"mebdfi\" core solver \
 function with error number \"%d\")", verr);
       break;
 
     case -11:
       error_with_id ("OdePkg:InternalError",
-        "Insufficient real workspace for the integration (error occured in \
+        "Insufficient real workspace for the integration (error occurred in \
 \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     case -12:
       error_with_id ("OdePkg:InternalError",
-        "Insufficient integer workspace for the integration (error occured in \
+        "Insufficient integer workspace for the integration (error occurred in \
 \"mebdfi\" core solver function with error number \"%d\")", verr);
       break;
 
     default:
       error_with_id ("OdePkg:InternalError",
-        "Unknown error (error occured in \"mebdfi\" core solver function with \
+        "Unknown error (error occurred in \"mebdfi\" core solver function with \
 error number \"%d\")", verr);
       break;
     }
diff -r ee420b73efa9 -r 186d6cb7d0d3 src/odepkg_octsolver_seulex.cc
--- a/src/odepkg_octsolver_seulex.cc	Tue Dec 15 17:41:51 2015 +0100
+++ b/src/odepkg_octsolver_seulex.cc	Tue Dec 29 12:44:44 2015 -0200
@@ -619,7 +619,7 @@
              WORK, LWORK, IWORK, LIWORK, RPAR,
              IPAR, IDID));
 
-  // If the solver reported IDID < 0 then an error occured. *BUT* the
+  // If the solver reported IDID < 0 then an error occurred. *BUT* the
   // seulex solver also reports an error if no error occurs but a user
   // break is done because of the 'OutputFcn' or the 'Events'
   if (IDID < 0 &&
